// (C) 2021-2025 GoodData Corporation
import React, { useCallback } from "react";
import cx from "classnames";
export const HeadlinePaginationRenderer = ({ item, accessibilityConfig, showPrevItem, showNextItem, }) => {
    const { nextAriaLabel, previousAriaLabel } = accessibilityConfig ?? {};
    const commonClassNames = "gd-button-link gd-button-icon-only pagination";
    const isFirstItemDisabled = item === 1;
    const isSecondItemDisabled = item === 2;
    const handleFirstItemClick = useCallback(() => {
        if (!isFirstItemDisabled) {
            showPrevItem();
        }
    }, [isFirstItemDisabled, showPrevItem]);
    const handleSecondItemClick = useCallback(() => {
        if (!isSecondItemDisabled) {
            showNextItem();
        }
    }, [isSecondItemDisabled, showNextItem]);
    return (React.createElement("div", { className: "headline-pagination" },
        React.createElement("button", { className: cx(`${commonClassNames} first-item gd-icon-chevron-left`, {
                "is-disabled": isFirstItemDisabled,
            }), onClick: handleFirstItemClick, "aria-disabled": isFirstItemDisabled, "aria-label": previousAriaLabel }),
        React.createElement("button", { className: cx(`${commonClassNames} second-item gd-icon-chevron-right`, {
                "is-disabled": isSecondItemDisabled,
            }), onClick: handleSecondItemClick, "aria-disabled": isSecondItemDisabled, "aria-label": nextAriaLabel })));
};
//# sourceMappingURL=HeadlinePaginationRenderer.js.map