import React from "react";
import { ButtonsOrientationType } from "./Paging.js";
import { ISeriesItem, ItemBorderRadiusPredicate } from "./types.js";
/**
 * @internal
 */
export interface IStaticLegendProps {
    containerHeight: number;
    position: string;
    series: ISeriesItem[];
    enableBorderRadius?: boolean | ItemBorderRadiusPredicate;
    shouldFillAvailableSpace?: boolean;
    label?: string;
    buttonOrientation?: ButtonsOrientationType;
    paginationHeight?: number;
    customComponent?: JSX.Element | null;
    isLabelVisible?: boolean;
    onItemClick?(item: ISeriesItem): void;
    onPageChanged?: (page: number) => void;
}
/**
 * @internal
 */
export declare const StaticLegend: React.NamedExoticComponent<IStaticLegendProps>;
export declare const getPagingValues: (page: number, visibleItemsCount: number, seriesLength: number, hasCustomComponent: boolean) => [number, number];
//# sourceMappingURL=StaticLegend.d.ts.map