// (C) 2025 GoodData Corporation
import React from "react";
import { createContextStore } from "@gooddata/sdk-ui";
export const useLegendSeriesContextValue = ({ series, focusedIndex, id, }) => {
    const descriptionId = `${id}-description`;
    const makeItemId = React.useCallback((item) => item && `${id}-${series.indexOf(item)}`, [id, series]);
    return React.useMemo(() => ({
        focusedItem: series[focusedIndex],
        makeItemId,
        descriptionId,
    }), [descriptionId, focusedIndex, makeItemId, series]);
};
export const LegendSeriesContextStore = createContextStore("LegendSeries");
//# sourceMappingURL=context.js.map